CHMOD(1)

NAMN
chmod — ändra filrättighetsbitar

SYNOPSIS
chmod [FLAGGA]... RÄTTIGHET[,RÄTTIGHET]... FIL...
chmod [FLAGGA]... OKTAL-RÄTTIGHET FIL...
chmod [FLAGGA]... --reference=RFIL FIL...

BESKRIVNING
Denna manualsida dokumenterar GNU-versionen av chmod. chmod ändrar filrättighetsbitarna på de angivna filerna i enlighet med rättighet, vilket kan vara antingen en symbolisk representation av vilka ändringar som skall göras, eller ett oktalt tal som representerat bitmönstret för de nya lägesbitarna.

Formatet på symboliska rättigheter är [ugoa...][-+=][rättigheter...]...], där rättigheter är antingen noll eller flera bokstäver från mängden rwxXst, eller en ensam bokstav från mängden ugo. Flera symboliska lägen kan ges, separerade av kommatecken.

En kombination av bokstäverna ugoa styr vilka användares åtkomst till filen som skall ändras: användaren som äger den (u), andra användare i filens grupp (g), andra användare som inte är i filens grupp (o) eller alla användare (a). Om ingen av dessa anges är effekten som om (a) angavs, men bitar som är satta i umask:en påverkas inte.

Operatorn + gör att de valda rättighetsbitarna läggs till till de befintliga filrättighetsbitarna till varje fil; - gör att de tas bort; och = gör att de läggs till och att bitar som inte nämns tas bort med undantag av att en katalogs ej nämnda sätt-användar- och -grupp-ID-bitar inte påverkas.

Bokstäverna rwxXst väljer filrättighetsbitar för de påverkade användarna: läs (r), skriv (w), kör (eller sök för kataloger) (x), kör/sök endast om filen är en katalog eller redan har körrättigheter för någon användare (X), sätt-användar- eller -grupp-ID vid körning (s), flagga för begränsade radering eller klistrig byt (t). Istället för en eller flera av dessa bokstäver kan man ange exakt en av bokstäverna ugo: rättigheterna som ges till användaren som äger filen (u), rättigheterna som ges till andra användare som är medlemmar av filens grupp (g) och rättigheterna som ges till användare som inte är i någon av de två föregående katagorierna (o).

En numerisk rättighet är från en till fyra oktala siffror (0-7), härledda genom att addera ihop bitar med värdena 4, 2 och 1. Uteslutna siffror antas vara inledande nollor. Den första siffran väljer attributen sätt-användar-ID (4) och sätt-grupp-ID (2) och begränsad radering eller klistrig (1). Den andra siffran väljer rättigheter för användaren som äger filen: läs (4), skriv (2) och kör (1); den tredje väljer rättigheter för andra användare i filens grupp, med samma värden; och den fjärde för andra användare som inte är i filens grupp, med samma värden.

chmod ändrar aldrig rättigheterna på symboliska läkar; systemarnopet chmod kan inte ändra deras rättigheter. Detta är inte ett problem eftersom rättigheterna hos en symbolisk länk aldrig används. Dock, för varje symbolisk länk listad på kommandoraden ändrar chmod rättigheterna hos den utpekade filen. I kontrast till detta ignorerar chmod symboliska länkar som påträffas under rekursiv katalogtraversering.

SETUID- OCH SETGID-BITAR
chmod nollställer sätt grupp-ID-biten för en normal fil om filens grupp-ID inte stämmer med användarens effektiva grupp-ID eller en av användarens tilläggsgrupps-ID:n, om inte användaren har de motsvarande rättigheterna. Ytterligare begränsningar kan orsaka att sätt-användar-ID- och sätt-grupp-ID-bitarna i RÄTTIGHET eller RFIL ignoreras. Detta beteende beror på policyn och funktionaliteten hos det underliggande systemanropet chmod. Vid oklarhet, kontrollera det underliggande systemets beteende.

För kataloger bevarar chmod sätt-användar-ID- och sätt-grupp-ID-bitarna om inte man uttryckligen anger något annat. Man kan sätta eller nollställa bitarna med symboliska rättigheter som u+s och g-s. För att nollställa dessa bitar för kataloger med en numerisk rättighet krävs en ytterligare inledande nolla som 00755, inledande minus som -6000, eller inledande likhetstecken som =755.

FLAGGAN FÖR BEGRÄNSAD RADERING ELLER KLISTRIG BIT
Flaggan för begränsad radering eller klistrig bit är en enda bit, vars tolkning beror på filtypen. För kataloger förhindrar den oprivilegierade användare från att ta bort eller byta namn på en fil i katalogen om de inte äger filen eller katalogen; detta kallas flagga för begränsad radering för katalogen, och finns ofta på kataloger som är skrivbara för alla såsom /tmp. För vanliga filer på en del äldre system sparar biten programmets textavbild på växlingsenheten så att den laddas snabbare när den kör; detta kallas den klistriga biten.

FLAGGOR

Ändra rättigheterna för varje FIL till RÄTTIGHET. Med --reference, ändra rättigheter för varje FIL till dem hos RFIL.

-c, --changes
    Som --verbose men rapportera bara när ändringar görs.

-f, --silent, --quiet
    Utelämna de flesta felmeddelanden.

-v, --verbose
    Skriv ut ett meddelande för varje bearbetad fil.

--no-preserve-root
    Behandla inte ”/” speciellt (normalfall).

--preserve-root
    Låt bli att arbeta på ”/”.

--reference=RFIL
    Använd RFILs rättigheter istället för ett RÄTTIGHETSvärde.

-R, --recursive
    Ändra filer och kataloger rekursivt.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Varje RÄTTIGHET har formen ”[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+”.

UPPHOVSMAN
Skrivet av David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
chmod(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/chmod>
eller tillgängligt lokalt via: info '(coreutils) chmod invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.